<?php
/**
* Social Options.
*
* @package Wind Energy
*/

$wind_energy_default = wind_energy_get_default_theme_options();

// Social Media Section.
$wp_customize->add_section( 'wind_energy_Social_header_setting',
	array(
	'title'      => esc_html__( 'Social Media Settings', 'wind-energy' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'wind_energy_theme_option_panel',
	)
);

$wp_customize->add_setting('wind_energy_header_social_ed',
    array(
        'default' => $wind_energy_default['wind_energy_header_social_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'wind_energy_sanitize_checkbox',
    )
);
$wp_customize->add_control('wind_energy_header_social_ed',
    array(
        'label' => esc_html__('Enable Social Media', 'wind-energy'),
        'section' => 'wind_energy_Social_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'wind_energy_header_center_facebook',
    array(
    'default'           => $wind_energy_default['wind_energy_header_center_facebook'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'wind_energy_header_center_facebook',
    array(
    'label'    => esc_html__( 'Facebook Link', 'wind-energy' ),
    'section'  => 'wind_energy_Social_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'wind_energy_header_center_twitter',
    array(
    'default'           => $wind_energy_default['wind_energy_header_center_twitter'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'wind_energy_header_center_twitter',
    array(
    'label'    => esc_html__( 'Twitter Link', 'wind-energy' ),
    'section'  => 'wind_energy_Social_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'wind_energy_header_center_linkedin',
    array(
    'default'           => $wind_energy_default['wind_energy_header_center_linkedin'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'wind_energy_header_center_linkedin',
    array(
    'label'    => esc_html__( 'Linkdin Link', 'wind-energy' ),
    'section'  => 'wind_energy_Social_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'wind_energy_header_center_instagram',
    array(
    'default'           => $wind_energy_default['wind_energy_header_center_instagram'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'wind_energy_header_center_instagram',
    array(
    'label'    => esc_html__( 'Instagram Link', 'wind-energy' ),
    'section'  => 'wind_energy_Social_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'wind_energy_header_center_youtube',
    array(
    'default'           => $wind_energy_default['wind_energy_header_center_youtube'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'wind_energy_header_center_youtube',
    array(
    'label'    => esc_html__( 'Youtube Link', 'wind-energy' ),
    'section'  => 'wind_energy_Social_header_setting',
    'type'     => 'url',
    )
);